std::char_traits::eq_int_type(3)

NAME
std::char_traits::eq_int_type - std::char_traits::eq_int_type

Synopsis
   static bool eq_int_type( int_type c1, int_type c2 ); (until C++11)
   static constexpr bool eq_int_type( int_type c1, int_type c2 ) (since C++11)
   noexcept;
   Checks whether two values of type int_type are equal.
   Formally,
     * if there exist values a and b such that c1 == X::to_int_type(a) and c2 ==
       X::to_int_type(b), yields the same as X::eq(a,b)
     * otherwise, if c1 and c2 are both copies of X::eof(), yields true
     * otherwise, if one of c1 and c2 is a copy of X::eof() and the other is not,
       yields false
     * otherwise, the result is unspecified

Parameters
   c1, c2 - values to compare

Return value
   true if c1 is equal to c2 under the rules described above, false otherwise.

Complexity
   Constant.